TermsParams.TermsRegexpFlag (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.TermsParams.TermsRegexpFlag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.params
Enum TermsParams.TermsRegexpFlag

    java.lang.Object
      java.lang.Enum<TermsParams.TermsRegexpFlag>
          org.apache.solr.common.params.TermsParams.TermsRegexpFlag

All Implemented Interfaces:
  Serializable, Comparable<TermsParams.TermsRegexpFlag>

Enclosing interface:
  TermsParams

    public static enum TermsParams.TermsRegexpFlag

extends Enum<TermsParams.TermsRegexpFlag>

Enum Constant Summary
`CANON_EQ`
`CASE_INSENSITIVE`
`COMMENTS`
`DOTALL`
`LITERAL`
`MULTILINE`
`UNICODE_CASE`
`UNIX_LINES`

Method Summary
`int` | `getValue()`
`static TermsParams.TermsRegexpFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TermsParams.TermsRegexpFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNIX_LINES

    public static final TermsParams.TermsRegexpFlag UNIX_LINES

### CASE_INSENSITIVE

    public static final TermsParams.TermsRegexpFlag CASE_INSENSITIVE

### COMMENTS

    public static final TermsParams.TermsRegexpFlag COMMENTS

### MULTILINE

    public static final TermsParams.TermsRegexpFlag MULTILINE

### LITERAL

    public static final TermsParams.TermsRegexpFlag LITERAL

### DOTALL

    public static final TermsParams.TermsRegexpFlag DOTALL

### UNICODE_CASE

    public static final TermsParams.TermsRegexpFlag UNICODE_CASE

### CANON_EQ

    public static final TermsParams.TermsRegexpFlag CANON_EQ

Method Detail

### values

    public static final TermsParams.TermsRegexpFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TermsParams.TermsRegexpFlag c : TermsParams.TermsRegexpFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TermsParams.TermsRegexpFlag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValue

    public int getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD